loci.formats

## Class SwappableMetadata

- java.lang.Object
- - loci.formats.CoreMetadata
  - - loci.formats.SwappableMetadata

- All Implemented Interfaces:
    java.lang.Cloneable

      public class SwappableMetadata
      extends CoreMetadata

  Extends `CoreMetadata` to include the notion of an "input order" for planes: the input order being the order planes are stored on disk.

  NB: Input order can differ from the `CoreMetadata.dimensionOrder` field, the latter being the order dimensions are returned (and thus returned by `IFormatReader.getDimensionOrder()`).

  This class is primarily intended for use by `DimensionSwapper` and its children, which introduce the API to separate input and output orders.

  Author:
    Mark Hiner

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `inputOrder` Order in which dimensions are stored.

    - ### Fields inherited from class loci.formats.CoreMetadata

      `bitsPerPixel, dimensionOrder, falseColor, imageCount, indexed, interleaved, littleEndian, metadataComplete, moduloC, moduloT, moduloZ, orderCertain, pixelType, resolutionCount, rgb, seriesMetadata, sizeC, sizeT, sizeX, sizeY, sizeZ, thumbnail, thumbSizeX, thumbSizeY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwappableMetadata()`
    `SwappableMetadata(IFormatReader r, int seriesNo)`
    `SwappableMetadata(SwappableMetadata c)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `CoreMetadata` | `clone(IFormatReader r, int coreIndex)`

    - ### Methods inherited from class loci.formats.CoreMetadata

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### inputOrder

          public java.lang.String inputOrder

      Order in which dimensions are stored. Must be one of the following:
      - XYCZT
      - XYCTZ
      - XYZCT
      - XYZTC
      - XYTCZ
      - XYTZC

  - ### Constructor Detail

    - #### SwappableMetadata

          public SwappableMetadata()

    - #### SwappableMetadata

          public SwappableMetadata(IFormatReader r,
                                   int seriesNo)

    - #### SwappableMetadata

          public SwappableMetadata(SwappableMetadata c)

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `CoreMetadata`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### clone

          public CoreMetadata clone(IFormatReader r,
                                    int coreIndex)

      Overrides:
        `clone` in class `CoreMetadata`

Copyright © 2026 Open Microscopy Environment